import { createSlice } from '@reduxjs/toolkit'

export const pushHotkeysSlice = createSlice({
    name: 'pushHotkeys',
    initialState: {
        data: ""
    },
    reducers: {
        pushHotkeys: (state, action) => {
            console.log("pushHotkeys:pushHotkeys", state, action)
            if(action.payload){
                state.data = action.payload;
            }
        }
    }
})
export const { pushHotkeys } = pushHotkeysSlice.actions

export default pushHotkeysSlice.reducer
